#pragma once

using namespace System;
using namespace System::Runtime::InteropServices;

namespace OkReadBadge 
{
	
	
	public ref class BadgeMessageHandler
	{
	public:
		delegate bool delMessage(int err);
		delMessage^ OnMessage;
		String^ Result;
		String^ CSN;
		String^ Site;
		String^ Badge;
		bool Final;
		bool Message(int err)
		{
			System::Diagnostics::Debug::WriteLine(err.ToString());
			return true;
		}
		BadgeMessageHandler()
		{
			Final = false;
			Result = CSN= Site = Badge = String::Empty;
			OnMessage = gcnew delMessage(this, &BadgeMessageHandler::Message);
		}
	};

	
}

